Bug 357521 - restore default grub configuration when pm-hibernate fails
restore default grub configuration when pm-hibernate fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 21:26 EDT by Sam Varshavchik
Modified: 2015-03-04 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2007-10-29 21:26:38 EDT
Description of problem:

When, for some reason, hibernate fails, there are several partial failures to
rollback and revert a normal system environment.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:

1. Take a laptop with at least 1GB of RAM, 2GB is better.
2. Install Fedora, a default Gnome desktop configuration, except manually
partition the hard drive to include a small swap partition, no more than 512MB.
Make sure to use a default grub configuration that uses a 10 second boot prompt
timeout.
3. Boot into the Gnome desktop. Open up a bunch of applications, load some large
documents into openoffice.org, run firefox and open something on slashdot at
comment level -1, etc..., use up all the RAM, far more than can be suspended to
swap.
4. Invoke Shut Down -> Hibernate.
5. The hibernate process starts running, then aborts, returning you to your
Gnome desktop.
6. Invoke Shut Down -> Shut Down.
7. Wait for the system to come down and for the laptop to shut off.
8. Power up the laptop again, and begin booting.
  
Actual results:

In step 5, you eventually get kicked back to the Gnome desktop, with no further
explanation of any kind.

In step 8, Grub begins booting Linux immediately, without its customary 10
second timeout

Expected results:

In step 5, I would expect to see at least have some kind of a generic error
dialog pop up and complain about a hibernation failure. pm-hibernate should not
just fail and have you go back to the Gnome desktop with no explanation whatsoever.

In step 8, I would expect to come up with a default Grub configuration, with the
default 10 second timeout.

Additional info:

1. There should be some kind of feedback to the user, when pm-hibernate fails.

2. When pm-hibernate fails, the default grub configuration should be restored.
Comment 1 Till Maas 2007-12-30 15:08:51 EST
The first issue (missing warning in case of a failed hibernate) needs to be
handled in gnome-power-manager, therefore I cloned this bug: #427065

This bug is now only about:

When pm-hibernate fails, the default grub configuration should be restored.
Comment 2 Bug Zapper 2008-05-14 10:54:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-11-25 21:02:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:22:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:00:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.